extends Node

export var character_data : Resource

func _ready():
	var inst = character_data.scene.instance()
	inst.name = character_data.name
	if character_data.yarn != null:
		var yarn_runner := TalkInteraction.new()
		yarn_runner.name = character_data.yarn.resource_name
		yarn_runner.yarnScript = character_data.yarn
		inst.add_child(yarn_runner)
	add_child(inst)
